<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Readme: Dashboard &mdash; dashboard 18.07.2023 documentation</title>
      <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../_static/doctools.js"></script>
    <script src="../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="prev" title="Welcome to dashboard’s documentation!" href="../index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../index.html" class="icon icon-home">
            dashboard
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Readme: Dashboard</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#installation">Installation</a></li>
<li class="toctree-l2"><a class="reference internal" href="#usage">Usage</a></li>
<li class="toctree-l2"><a class="reference internal" href="#example-file">Example file</a></li>
<li class="toctree-l2"><a class="reference internal" href="#authors-and-acknowledgment">Authors and acknowledgment</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="#dashboard">Dashboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="#calculation">Calculation</a></li>
<li class="toctree-l1"><a class="reference internal" href="#style">Style</a></li>
<li class="toctree-l1"><a class="reference internal" href="#figures">Figures</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">dashboard</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Readme: Dashboard</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../_sources/files/dashcode.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="readme-dashboard">
<h1>Readme: Dashboard<a class="headerlink" href="#readme-dashboard" title="Permalink to this heading"></a></h1>
<section id="installation">
<h2>Installation<a class="headerlink" href="#installation" title="Permalink to this heading"></a></h2>
<p>For an easy inatllation I suggest to work with a Conda environment.</p>
<ol class="arabic simple">
<li><p>Clone the following repository:  https://git.rwth-aachen.de/jutta.siemons/dashboard.git</p></li>
<li><p>If not already done, install Conda on your device. (https://conda.io/projects/conda/en/latest/user-guide/install/index.html)</p></li>
<li><p>Create a virtual environment with conda using the <code class="docutils literal notranslate"><span class="pre">environment_dash.yml</span></code> file.</p></li>
</ol>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>$ conda env create --file environment_dash.yml
</pre></div>
</div>
<ol class="arabic simple" start="4">
<li><p>Activate the environment.</p></li>
</ol>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>$ conda activate env_dash
</pre></div>
</div>
<ol class="arabic simple" start="5">
<li><p>Install dash[diskcache]</p></li>
</ol>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>$ pip install <span class="s2">&quot;dash[diskcache]&quot;</span>
</pre></div>
</div>
</section>
<section id="usage">
<h2>Usage<a class="headerlink" href="#usage" title="Permalink to this heading"></a></h2>
<ol class="arabic simple">
<li><p>In your file add</p></li>
</ol>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span> <span class="kn">from</span> <span class="nn">dashboard.dashboard</span> <span class="kn">import</span> <span class="o">*</span>
</pre></div>
</div>
<ol class="arabic simple" start="2">
<li><p>To add to your Dashboard,add</p></li>
</ol>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="nd">@app</span><span class="o">.</span><span class="n">callback</span><span class="p">(</span>
    <span class="n">Output</span><span class="p">(</span><span class="s1">&#39;layout&#39;</span><span class="p">,</span> <span class="s1">&#39;children&#39;</span><span class="p">),</span>
    <span class="p">[</span><span class="n">Input</span><span class="p">(</span><span class="s1">&#39;space&#39;</span><span class="p">,</span> <span class="s1">&#39;n_clicks&#39;</span><span class="p">)],</span>
    <span class="p">[</span><span class="n">State</span><span class="p">(</span><span class="s1">&#39;layout&#39;</span><span class="p">,</span> <span class="s1">&#39;children&#39;</span><span class="p">)],</span>
<span class="p">)</span>
<span class="k">def</span> <span class="nf">insert_name_here</span><span class="p">(</span><span class="n">n_clicks</span><span class="p">,</span> <span class="n">children</span><span class="p">):</span>
    <span class="n">children</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="s1">&#39;something to add to your layout&#39;</span><span class="p">)</span>
    <span class="k">return</span> <span class="n">children</span>
</pre></div>
</div>
<p>to create new elements.</p>
<ol class="arabic simple" start="3">
<li><p>Add Functions to your dashboard using the dash package.</p></li>
<li><p>Add the following to the end of your code.</p></li>
</ol>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="k">if</span> <span class="vm">__name__</span> <span class="o">==</span> <span class="s1">&#39;__main__&#39;</span><span class="p">:</span>
    <span class="n">app</span><span class="o">.</span><span class="n">server</span><span class="o">.</span><span class="n">run</span><span class="p">(</span><span class="n">port</span><span class="o">=</span><span class="mi">8000</span><span class="p">,</span> <span class="n">host</span><span class="o">=</span><span class="s1">&#39;127.0.0.1&#39;</span><span class="p">)</span>
    <span class="n">app</span><span class="o">.</span><span class="n">run</span><span class="p">(</span><span class="n">debug</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</section>
<section id="example-file">
<h2>Example file<a class="headerlink" href="#example-file" title="Permalink to this heading"></a></h2>
<p>Two Example files are included in the package.</p>
</section>
<section id="authors-and-acknowledgment">
<h2>Authors and acknowledgment<a class="headerlink" href="#authors-and-acknowledgment" title="Permalink to this heading"></a></h2>
<p>Author of this package is Jutta Siemons.
This package is basend on the paper and Git repository published by Yildiz et al. (https://www.frontiersin.org/articles/10.3389/feart.2022.1032438/full)</p>
</section>
</section>
<section id="dashboard">
<h1>Dashboard<a class="headerlink" href="#dashboard" title="Permalink to this heading"></a></h1>
<p>Using the dash package (<a class="reference external" href="https://dash.plotly.com">https://dash.plotly.com</a>), a ‘stateless’ dashboard is created with a set layout and multiple functions to either choose the coordinates by typing them in text areas or
just click on the provided map.</p>
<p>The defaul should look like this:</p>
<img alt="../_images/dashboard.png" src="../_images/dashboard.png" />
<span class="target" id="module-dashboard.dashboard"></span><dl class="py function">
<dt class="sig sig-object py" id="dashboard.dashboard.assign_data">
<span class="sig-prename descclassname"><span class="pre">dashboard.dashboard.</span></span><span class="sig-name descname"><span class="pre">assign_data</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.dashboard.assign_data" title="Permalink to this definition"></a></dt>
<dd><p>set global variable</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>value</strong> (<em>int</em>) – number of monte carlo simulation</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>number of monte carlo simulation</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>int</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="dashboard.dashboard.display_click_data">
<span class="sig-prename descclassname"><span class="pre">dashboard.dashboard.</span></span><span class="sig-name descname"><span class="pre">display_click_data</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">clickData</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.dashboard.display_click_data" title="Permalink to this definition"></a></dt>
<dd><p>displays the coordinates that were clickes</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>clickData</strong> (<em>dictonary</em>) – dictonary with data that was clicked</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>message to be displayed</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>string</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="dashboard.dashboard.submit_calculations">
<span class="sig-prename descclassname"><span class="pre">dashboard.dashboard.</span></span><span class="sig-name descname"><span class="pre">submit_calculations</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text_submit</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">click_submit</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">click_coor</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">x_coord</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">y_coord</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mc_simulation</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.dashboard.submit_calculations" title="Permalink to this definition"></a></dt>
<dd><p>calculates the histograms</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>text_submit</strong> (<em>int</em>) – number of times button clickes</p></li>
<li><p><strong>click_submit</strong> (<em>int</em>) – number of time buttons clicked</p></li>
<li><p><strong>click_coor</strong> (<em>dictonary</em>) – dictonary with data that was clicked</p></li>
<li><p><strong>x_coord</strong> (<em>int</em>) – x coordinate</p></li>
<li><p><strong>y_coord</strong> (<em>int</em>) – y coordinate</p></li>
<li><p><strong>mc_simulation</strong> (<em>int</em>) – number of monte carlo simulation</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>returns a figure corresponding to the input</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>figure</p>
</dd>
<dt class="field-even">Raises<span class="colon">:</span></dt>
<dd class="field-even"><ul class="simple">
<li><p><strong>Error</strong> – x input has to be an integer between 1488990 and 1493491</p></li>
<li><p><strong>Error</strong> – y input has to be an integer between 5200290 and 5205750</p></li>
<li><p><strong>Error</strong> – coordinates need to be where flow is</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>
<section id="calculation">
<h1>Calculation<a class="headerlink" href="#calculation" title="Permalink to this heading"></a></h1>
<p>To perform the calculations and create the histograms, the frontiers_yildizetal package and plotly package were used.</p>
<span class="target" id="module-dashboard.calculation"></span><dl class="py function">
<dt class="sig sig-object py" id="dashboard.calculation.calculate_histograms">
<span class="sig-prename descclassname"><span class="pre">dashboard.calculation.</span></span><span class="sig-name descname"><span class="pre">calculate_histograms</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">x</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">y</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mc_num</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.calculation.calculate_histograms" title="Permalink to this definition"></a></dt>
<dd><p>calculates the histograms</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>x</strong> (<em>int</em>) – x coordinate</p></li>
<li><p><strong>y</strong> (<em>int</em>) – y coordinate</p></li>
<li><p><strong>mc_num</strong> (<em>int</em>) – number of monta carlo simulation</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>figure with the histograms</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>figure</p>
</dd>
<dt class="field-even">Raises<span class="colon">:</span></dt>
<dd class="field-even"><ul class="simple">
<li><p><strong>TypeError</strong> – x input has to be an integer</p></li>
<li><p><strong>TypeError</strong> – y input has to be an integer</p></li>
<li><p><strong>TypeError</strong> – MC Simulation number has to be 1, 2 or 3</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>
<section id="style">
<h1>Style<a class="headerlink" href="#style" title="Permalink to this heading"></a></h1>
<p>For an easier access to the CSS style dictonary, Style has some preset styles (button, label, etc.) to let your dashboard look uniformly, but still lets you change some important aspects.
To get more freedom, the use of any CSS style dictonary is still possible.</p>
<dl class="py class">
<dt class="sig sig-object py" id="dashboard.style.Style">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">dashboard.style.</span></span><span class="sig-name descname"><span class="pre">Style</span></span><a class="headerlink" href="#dashboard.style.Style" title="Permalink to this definition"></a></dt>
<dd><dl class="py method">
<dt class="sig sig-object py" id="dashboard.style.Style.getstyle">
<span class="sig-name descname"><span class="pre">getstyle</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">margin_top</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">margin_bottom</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">margin_left</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">margin_right</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">display</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">color</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">width</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">height</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">flex_direction</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.style.Style.getstyle" title="Permalink to this definition"></a></dt>
<dd><p>creates a style dictonary</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> (<em>string</em>) – name of a template, by default ‘empty’</p></li>
<li><p><strong>margin_top</strong> (<em>string</em><em>, </em><em>optional</em>) – sets the margin top space, by default None</p></li>
<li><p><strong>margin_bottom</strong> (<em>string</em><em>, </em><em>optional</em>) – sets the bottom margin, by default None</p></li>
<li><p><strong>margin_left</strong> (<em>string</em><em>, </em><em>optional</em>) – sets the left margin, by default None</p></li>
<li><p><strong>margin_right</strong> (<em>string</em><em>, </em><em>optional</em>) – sets the right margin, by default None</p></li>
<li><p><strong>display</strong> (<em>string</em><em>, </em><em>optional</em>) – sets display setting, by default None</p></li>
<li><p><strong>color</strong> (<em>string</em><em>, </em><em>optional</em>) – sets color, by default None</p></li>
<li><p><strong>width</strong> (<em>float</em><em>, </em><em>optional</em>) – sets width, by default None</p></li>
<li><p><strong>height</strong> (<em>float</em><em>, </em><em>optional</em>) – sets height, by default None</p></li>
<li><p><strong>flex_direction</strong> (<em>string</em><em>, </em><em>optional</em>) – sets flex direction, by default None</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>dictonary with style settings</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>dictonary</p>
</dd>
<dt class="field-even">Raises<span class="colon">:</span></dt>
<dd class="field-even"><ul class="simple">
<li><p><strong>ValueError</strong> – name input has to be valid</p></li>
<li><p><strong>TypeError</strong> – margin input has to be a string of numbers</p></li>
<li><p><strong>TypeError</strong> – margin input has to be a string of numbers</p></li>
<li><p><strong>TypeError</strong> – margin input has to be a string of numbers</p></li>
<li><p><strong>TypeError</strong> – margin input has to be a string of numbers</p></li>
<li><p><strong>ValueError</strong> – display input has to be a valid string input</p></li>
<li><p><strong>ValueError</strong> – felx direction has to be a valid string input</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</dd></dl>

</section>
<section id="figures">
<h1>Figures<a class="headerlink" href="#figures" title="Permalink to this heading"></a></h1>
<p>To easily display error messages, empty plots or the map with the flow this class provides the used figures for this dashboard.</p>
<dl class="py class">
<dt class="sig sig-object py" id="dashboard.figures.Figures">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">dashboard.figures.</span></span><span class="sig-name descname"><span class="pre">Figures</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">map</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">box</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">case</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.figures.Figures" title="Permalink to this definition"></a></dt>
<dd><dl class="py method">
<dt class="sig sig-object py" id="dashboard.figures.Figures.create_empty_figure">
<span class="sig-name descname"><span class="pre">create_empty_figure</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.figures.Figures.create_empty_figure" title="Permalink to this definition"></a></dt>
<dd><p>creates an empty calculation figure</p>
<dl class="field-list simple">
<dt class="field-odd">Returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>empty figure</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p>figure</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="dashboard.figures.Figures.create_map_figure">
<span class="sig-name descname"><span class="pre">create_map_figure</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">map</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">box</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">case</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.figures.Figures.create_map_figure" title="Permalink to this definition"></a></dt>
<dd><p>creates the figure of the flow</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>map</strong> (<em>string</em>) – path to map picture</p></li>
<li><p><strong>box</strong> (<em>int</em>) – bounding box of the coordinates</p></li>
<li><p><strong>case</strong> (<em>str</em>) – synth or acheron case</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>figure containing the flow map</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>figure</p>
</dd>
<dt class="field-even">Raises<span class="colon">:</span></dt>
<dd class="field-even"><ul class="simple">
<li><p><strong>TypeError</strong> – map input is no string</p></li>
<li><p><strong>TypeError</strong> – box input is no list</p></li>
<li><p><strong>TypeError</strong> – box input is no 2x2 matrix</p></li>
<li><p><strong>TypeError</strong> – case has to be acheron or synth</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="dashboard.figures.Figures.fig_error">
<span class="sig-name descname"><span class="pre">fig_error</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">message</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.figures.Figures.fig_error" title="Permalink to this definition"></a></dt>
<dd><p>creates the a figure with the error message</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>message</strong> (<em>str</em>) – error messsage</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>figure with error message</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>figure</p>
</dd>
<dt class="field-even">Raises<span class="colon">:</span></dt>
<dd class="field-even"><p><strong>TypeError</strong> – message input is no string</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../index.html" class="btn btn-neutral float-left" title="Welcome to dashboard’s documentation!" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Jutta Siemons.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>